# Uses of Interface
org.apache.felix.service.threadio.ThreadIO

Packages that use ThreadIO
Package
Description
org.apache.felix.gogo.runtime
org.apache.felix.gogo.runtime.activator
org.apache.felix.gogo.runtime.threadio

## Uses of ThreadIO in org.apache.felix.gogo.runtime

Fields in org.apache.felix.gogo.runtime declared as ThreadIO
Modifier and Type
Field
Description
`protected final ThreadIO`
CommandProcessorImpl.`threadIO`
Constructors in org.apache.felix.gogo.runtime with parameters of type ThreadIO
Modifier
Constructor
Description
``
`CommandProcessorImpl(ThreadIO tio)`

## Uses of ThreadIO in org.apache.felix.gogo.runtime.activator

Methods in org.apache.felix.gogo.runtime.activator with parameters of type ThreadIO
Modifier and Type
Method
Description
`protected org.osgi.framework.ServiceRegistration`
Activator.`newProcessor(ThreadIO tio, org.osgi.framework.BundleContext context)`

## Uses of ThreadIO in org.apache.felix.gogo.runtime.threadio

Classes in org.apache.felix.gogo.runtime.threadio that implement ThreadIO
Modifier and Type
Class
Description
`class`
`ThreadIOImpl`